<?php

/**
 * @author Edwin Gonzalez
 * @copyright Tucompra S.A.S
 */
class TuCompraValidationModuleFrontController extends ModuleFrontController {
    

    public function postProcess() {
		
        $cart = $this->context->cart;
        if ($cart->id_customer == 0 OR $cart->id_address_delivery == 0 OR $cart->id_address_invoice == 0 OR !$this->module->active) {
            Tools::redirectLink(__PS_BASE_URI__ . 'order.php?step=1');
        }

        if (floatval(substr(_PS_VERSION_, 0, 3)) > 1.4) {
            // Check that this payment option is still available in case the customer changed his address just before the end of the checkout process
            $authorized = false;
            foreach (Module::getPaymentModules() as $module)
                if ($module['name'] == $this->module->name) {
                    $authorized = true;
		    echo "<script>console.log('Autorizado');</script>";
                    break;
                }
            if (!$authorized)
                die(Tools::displayError('This payment method is not available.'));
        }

        $customer = new Customer((int) $cart->id_customer);

        if (!Validate::isLoadedObject($customer)) {
            Tools::redirectLink(__PS_BASE_URI__ . 'order.php?step=1');
        } 

		//$this->setTemplate('module:tucompra/views/templates/hook/payment_return.tpl');
               // echo ('entro a este modulo');

        $customer = new Customer((int) $cart->id_customer);
        $total = $cart->getOrderTotal(true, 3);

        //if (floatval(substr(_PS_VERSION_, 0, 3)) > 1.4)
            $this->module->validateOrder((int) $cart->id, Configuration::get('PS_OS_TUCOMPRA'), $total, $this->module->displayName, NULL, array(), NULL, false, $customer->secure_key);
        //else
            //$this->module->validateOrder((int) $cart->id, Configuration::get('PS_OS_TUCOMPRA'), $total, $this->module->displayName, NULL, array(), NULL, false);

        $order = new Order((int) $this->module->currentOrder);
        Tools::redirectLink(__PS_BASE_URI__ . 'order-confirmation.php?key=' . $customer->secure_key . '&id_cart=' . (int) ($cart->id) . '&id_module=' . (int) $this->module->id . '&id_order=' . (int) $this->module->currentOrder);
	$this->setTemplate('module:tucompra/views/templates/hook/payment_return.tpl');	
    }

}